Foreman - Refactor #17939

Refactor Classification object to reduce its complaexity

01/05/2017 10:13 AM - Shimon Shtein

Status: Rejected
Priority: Normal
Assignee: Shimon Shtein
Category:

Target version:

Difficulty: Fixed in Releases:
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

It's already done as part of https:/github.com/theforeman/foreman/pull/3701, but | want to extract the Classification objects

modification from there, and make it a standalone PR.

Main files:

ValuesHashQuery: query object that is responsible to return values hash for a given set of keys
Classification concern: A concern that adds two scopes (values_hash, inherited_values) that are implemented as calls to the

ValuesHashQuery object.

ClassificationResult: Class that encapsulates rendering of values for a given key. Contains an option to show unrendered values too.

History

#1 - 01/08/2017 04:06 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/4163 added

#2 - 07/19/2018 01:09 PM - Tomer Brisker
- Target version deleted (1.10.3)
- Triaged set to No

#3 - 10/03/2018 01:23 AM - The Foreman Bot
- Status changed from Ready For Testing to New
- Pull request deleted (https://github.com/theforeman/foreman/pull/4163)

#4 - 10/03/2018 05:47 PM - Shimon Shtein

- Status changed from New to Closed

#5 - 10/15/2018 09:34 AM - Tomer Brisker

- Status changed from Closed to Rejected

05/19/2024

1/1



https://github.com/theforeman/foreman/pull/3701
http://www.tcpdf.org

